# Change log

All notable changes to this project will be documented in this file. The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/) and this project adheres to [Semantic Versioning](http://semver.org).

## [v4.0.0](https://github.com/puppetlabs/puppetlabs-helm/tree/v4.0.0) (2021-06-28)

[Full Changelog](https://github.com/puppetlabs/puppetlabs-helm/compare/v3.2.0...v4.0.0)

### Changed

- pdksync - Remove Puppet 5 from testing and bump minimal version to 6.0.0 [\#143](https://github.com/puppetlabs/puppetlabs-helm/pull/143) ([carabasdaniel](https://github.com/carabasdaniel))

### Added

- pdksync - \(IAC-973\) - Update travis/appveyor to run on new default branch `main` [\#123](https://github.com/puppetlabs/puppetlabs-helm/pull/123) ([david22swan](https://github.com/david22swan))

### Fixed

- \(IAC-1497\) - Removal of unsupported `translate` dependency [\#152](https://github.com/puppetlabs/puppetlabs-helm/pull/152) ([david22swan](https://github.com/david22swan))
- Update default stable repo and fix acceptance tests [\#141](https://github.com/puppetlabs/puppetlabs-helm/pull/141) ([carabasdaniel](https://github.com/carabasdaniel))
- \(IAC-989\) - Removal of Inappropriate Terminology [\#140](https://github.com/puppetlabs/puppetlabs-helm/pull/140) ([david22swan](https://github.com/david22swan))
- Repair centos7 [\#133](https://github.com/puppetlabs/puppetlabs-helm/pull/133) ([daianamezdrea](https://github.com/daianamezdrea))

## [v3.2.0](https://github.com/puppetlabs/puppetlabs-helm/tree/v3.2.0) (2020-03-18)

[Full Changelog](https://github.com/puppetlabs/puppetlabs-helm/compare/v3.1.0...v3.2.0)

## [v3.1.0](https://github.com/puppetlabs/puppetlabs-helm/tree/v3.1.0) (2019-12-06)

[Full Changelog](https://github.com/puppetlabs/puppetlabs-helm/compare/v3.0.0...v3.1.0)

### Added

- Adding the possibility to add imagePullSecrets [\#98](https://github.com/puppetlabs/puppetlabs-helm/pull/98) ([zonArt](https://github.com/zonArt))
- add username and password flags in helm\_repo\_add\_flags [\#89](https://github.com/puppetlabs/puppetlabs-helm/pull/89) ([AblionGE](https://github.com/AblionGE))

### Fixed

- Use subscribe instead of require to gain autoupdating [\#82](https://github.com/puppetlabs/puppetlabs-helm/pull/82) ([walkamongus](https://github.com/walkamongus))

## [v3.0.0](https://github.com/puppetlabs/puppetlabs-helm/tree/v3.0.0) (2019-08-01)

[Full Changelog](https://github.com/puppetlabs/puppetlabs-helm/compare/2.0.2...v3.0.0)

### Changed

- \(FM-8100\) Update minimum supported Puppet version to 5.5.10 [\#79](https://github.com/puppetlabs/puppetlabs-helm/pull/79) ([sheenaajay](https://github.com/sheenaajay))

### Added

- Add policy apigroup to tiller role permissions [\#81](https://github.com/puppetlabs/puppetlabs-helm/pull/81) ([walkamongus](https://github.com/walkamongus))

### Fixed

- MODULES-9237 \(Fix helm init flag\) [\#85](https://github.com/puppetlabs/puppetlabs-helm/pull/85) ([sheenaajay](https://github.com/sheenaajay))
- Fix chart update [\#74](https://github.com/puppetlabs/puppetlabs-helm/pull/74) ([hdeadman](https://github.com/hdeadman))

## 2.0.2

Fixes error with dependency boundaries

# Version 2.0.1

Updating module dependencies

Fixing GO version in acceptance tests

# Version 2.0.0
- Puppet 6 Support
- Multi tiller installs
- Speficy helm archive location

A list of PR's can be found [here](https://github.com/puppetlabs/puppetlabs-helm/milestone/2?closed=1)

# Version 1.1.0

Fixes bugs:
- #54 adds missing parameter to init.pp
- Fixes incorrect type for node selectory

Adds in PDK compliance

# Version 1.0.1
Updates environment variable for use with upstream kubernetes module

# Version 1.0.0
Officially supported release of puppetlabs-helm

# Version 0.1.3
Support for Helm version =< 2.7

# Version 0.1.2
Bug fixes

# Version 0.1.1
Fix for metadata.json

# Version 0.1.0
First release
Supports Helm version =< 2.6



\* *This Changelog was automatically generated by [github_changelog_generator](https://github.com/github-changelog-generator/github-changelog-generator)*
